﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WpfControls;

namespace XamChartExample
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
			//this.DataContextChanged += Window1_DataContextChanged;

			var mDS = new UKBarChartAusgabeDataSet();
			mDS.ReadXml("Data.xml");
			mDS.AcceptChanges();

			var mViewModel = new ChartsViewModel(mDS.Ausgabe1, true);

			this.myBarChart.DataContext = mViewModel;
		}

		void Window1_DataContextChanged(object sender, DependencyPropertyChangedEventArgs e)
		{
			this.InitializeCharts();
		}


		private void InitializeCharts()
		{
			this.myBarChart.DataContext = this.DataContext;
		}
	}
}
